[android-components](../../../../index.md) / [mozilla.components.support.migration](../../../index.md) / [SettingsMigrationResult](../../index.md) / [Success](../index.md) / [SettingsMigrated](./index.md)

# SettingsMigrated

`data class SettingsMigrated : `[`Success`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/migration/src/main/java/mozilla/components/support/migration/FennecSettingsMigrator.kt#L124)

Migration work completed successfully.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `SettingsMigrated(telemetry: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`)`<br>Migration work completed successfully. |

### Properties

| Name | Summary |
|---|---|
| [telemetry](telemetry.md) | `val telemetry: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |

### Functions

| Name | Summary |
|---|---|
| [toString](to-string.md) | `fun toString(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
